package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type BotChatHisImpl struct {
	dataTemp.DataTemp
}

func NewBotChatHisImpl(db *utils.Db) *BotChatHisImpl {
	return &BotChatHisImpl{*dataTemp.NewDataTemp(db, new(model.AiBotChatHi))}
}
